dbXML API

## com.dbxml.db.server.services
Class HTTPService

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.server.SimpleService
              com.dbxml.db.server.services.HTTPService

All Implemented Interfaces:
  Configurable, Service

public final class HTTPService
extends SimpleService

HTTPService is a dbXML Service wrapper around the Labrador HTTP Server. This means that the only type of content that can be retrieved is based on the web services hub.

Field Summary

Fields inherited from class com.dbxml.db.server.SimpleService
`NAME`

Fields inherited from interface com.dbxml.db.server.Service
`RESULT_BUSY, RESULT_FAILED, RESULT_INVALID, RESULT_OK, STATE_STARTED, STATE_STOPPED, STATE_SUSPENDED`

Constructor Summary
`HTTPService()`

Method Summary
`void` `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.
`int` `start()` start will attempt to start the Service.
`int` `stop()` stop will attempt to stop the Service.

Methods inherited from class com.dbxml.db.server.SimpleService
`dispose, getName, initialize, resume, setServerInstance, status, statusMessage, suspend, uninitialize`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPService

    public HTTPService()

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Overrides:
    `setConfig` in class `SimpleService`
  Throws:
    `dbXMLException`

### start

    public int start()

  Description copied from interface: `Service`
  start will attempt to start the Service. Depending on whether the Service was happy about being started or not, a value of RESULT_OK should be returned.

  Specified by:
    `start` in interface `Service`
  Overrides:
    `start` in class `SimpleService`

### stop

    public int stop()

  Description copied from interface: `Service`
  stop will attempt to stop the Service. Depending on whether the Service was happy about being stopped or not, a value of RESULT_OK should be returned.

  Specified by:
    `stop` in interface `Service`
  Overrides:
    `stop` in class `SimpleService`

dbXML API

Copyright (c) 2004 The dbXML Group